//*********************************************
//         SHADER
//*********************************************
//	ID		:	lib1_sky.shader
//	Autor	:	tremap
//	Date	:	00.00.0000 (m.d.y)
//	Version	:	0.0.1
//	History	:	none
//	Copyleft:
//*********************************************
//	alpha	:	_a
//	diffuse :	_d
//	height	:	_h
//	normal	:	_n
//	shader	:	_s
//	specular:	_p
//*********************************************
//	q3map_sun <r> <g> <b> <puissance> <angle> <elevation> <deviation> <samples>
//	<deviation> : Correspond  la largeur du soleil en degrs
//	<samples> Nombre de samples (jitter)
//
//	skyparms textures/lib1_sky/env/... - -
			// _up
			// _dn
			// _lf
			// _rt
			// _ft
			// _bk
//
textures/lib1_sky/night01a_s1
{
	qer_editorimage textures/lib1_sky/blend/night01a_d1.tga
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightimage textures/lib1_sky/lightimages/white.tga
	q3map_surfacelight 100
	q3map_lightsubdivide 512
	q3map_sun	1 1 1 11 0 90
	skyparms textures/lib1_sky/env/night01a - -
}
textures/lib1_sky/night01acloud_s1
{
	qer_editorimage textures/lib1_sky/blend/night01acloud_d1.tga
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightimage textures/lib1_sky/lightimages/white.tga
	q3map_surfacelight 100
	q3map_lightsubdivide 512
	q3map_sun	1 1 1 11 0 90
	skyparms textures/lib1_sky/env/night01a - -
	{
		map textures/lib1_sky/env/cloud01a_d1.tga
		blendFunc GL_ONE GL_ONE
		tcMod scale 3 3
		tcMod scroll 0.01 0.02
	}
}
textures/lib1_sky/desert01a_s1
{
	qer_editorimage textures/lib1_sky/blend/desert01a_d1.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_lightimage textures/lib1_sky/lightimages/white.tga
	q3map_sun 1.00 0.949 0.977 100 200 45
	q3map_skylight 250 3
	q3map_globaltexture
	skyparms textures/lib1_sky/env/desert01a - -
}
textures/lib1_sky/desert01acloud_s1
{
	qer_editorimage textures/lib1_sky/blend/desert01acloud_d1.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_lightimage textures/lib1_sky/lightimages/white.tga
	q3map_sun 1.00 0.949 0.977 100 200 45
	q3map_skylight 250 3
	q3map_globaltexture
	skyparms textures/lib1_sky/env/desert01a - -
	{
		map textures/lib1_sky/env/cloud02a_d1.tga
		blendFunc GL_ONE GL_ONE
		tcMod scale 3 3
		tcMod scroll 0.01 0.02
	}
}
textures/lib1_sky/desert02a_s1
{
	qer_editorimage textures/lib1_sky/blend/desert02a_d1.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_lightimage textures/atcs/skylight.tga
//	q3map_sun 0.95 0.95 1.0 150 120 25	//lilacisles
//	q3map_sun 1.00 1.00 0.965 75 90 30 	//siege
//	q3map_sun 1.00 0.90 0.80 110 180 35	//orangecream
//	q3map_sun 1.00 0.80 0.70 100 0 20	//cottoncandy
//	q3map_sun 0.934 0.835 1.00 75 230 35	//desertsky
//	q3map_sun 1.00 1.00 1.00 50 90 90	//comablack
//	q3map_sun 4 3 3 150 135 50		//mars
//	q3map_sun 1.00 0.949 0.977 100 200 45	//desert
	q3map_sun 1.00 0.949 0.977 150 135 45	
	q3map_skylight 250 3
	q3map_globaltexture
	skyparms textures/lib1_sky/env/desert02a - -
}
textures/lib1_sky/desert02acloud_s1
{
	qer_editorimage textures/lib1_sky/blend/desert02acloud_d1.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun 1.00 0.949 0.977 150 135 45	
	q3map_skylight 250 3
	q3map_globaltexture
	skyparms textures/lib1_sky/env/desert02a - -
	{
		map textures/lib1_sky/env/cloud02b_d1.tga
		blendFunc GL_ONE GL_ONE
		tcMod scale 3 3
		tcMod scroll 0.01 0.02
	}
}
//-- space
//---------------------------------------------
textures/titan/asteroid_skybox
{
      qer_editorimage textures/titan/Asteroid
      surfaceparm noimpact
      surfaceparm nolightmap
      surfaceparm sky
     // q3map_sun   .5 .37 .19 90 170 33
      q3map_surfacelight 15
      
      skyparms env/Asteroid - -
}